package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.WorkShiftCompany;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface WorkShiftCompanyDAO {
	int insert(WorkShiftCompany entity);
	int update(WorkShiftCompany entity);
	int exist(String id);
	WorkShiftCompany get(String id);
	int delete(String id);
	List<WorkShiftCompany> list();
	List<WorkShiftCompany> findByShiftId(String shiftId);
	List<WorkShiftCompany> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<String> findDistinctCompanyId();
}